@import 'src/assets/scss/core/functions';
@import "src/assets/scss/core/breakpoints";
@import "src/assets/scss/core/mixins";
@import "src/assets/scss/settings";

.contacts {
  background-color: rgba($black-color, 0.8);

  @include media-breakpoint-up(lg) {
    border-bottom: 1px solid rgba($white-color, 0.2);
  }

  &__container  {
    @include container();

    padding-top: 25px;
    padding-bottom: 25px;
    display: flex;
    flex-wrap: wrap;
    column-gap: 20px;
    row-gap: 20px;

    @include media-breakpoint-up(md) {
      column-gap: 25px;
    }

    @include media-breakpoint-up(lg) {
      padding-top: 0;
      padding-bottom: 0;
      display: grid;
      grid-template-columns: 400px repeat(3, 1fr);
      column-gap: 0;
    }
  }

  &__item {
    //padding: 15px 0;
    display: grid;
    grid-template-columns: 30px auto;
    grid-template-areas:
      "icon title"
      "icon text";
    column-gap: 10px;
    row-gap: 5px;
    align-content: start;
    font-family: var(--font-text);
    font-size: 16px;
    line-height: 20px;
    color: var(--white-color);

    @include media-breakpoint-up(lg) {
      padding: 45px 0;
      justify-content: center;
      border-right: 1px solid rgba($white-color, 0.2);
    }

    &:first-child {
      padding-left: 0;
      justify-content: start;
      flex-basis: 100%;

      @include media-breakpoint-up(md) {
        flex-basis: 340px;
      }
    }

    &:last-child {
      border-right: none;
    }
  }

  &__item b {
    grid-area: title;
  }

  &__item span,
  &__item app-link {
    grid-area: text;
  }

  &__icon {
    grid-area: icon;
  }
}
